Ticket #1020 (closed defect: fixed)

Opened 6 years ago

Last modified 6 years ago

Unable to sync xmlformat

Reported by: henrik Owned by: dgollub
Priority: high Milestone: OpenSync 0.39
Component: OpenSync: Engine Version: 0.38
Severity: critical Keywords:
Cc:

Description

With OpenSync -r5014 I am still not able to sync xmlformat.

Slightly different error message depending on whether I have xmlformat-doc.so installed or not:

Entity: line 2: parser error : Start tag expected, '<' not found

and

Entity: line 1: parser warning : Unsupported version ''

Traces attached

Attachments

OSYNC_TRACE_WITH_XMLFORMAT_DOC.zip (38.1 KB) - added by henrik 6 years ago.
OSYNC_TRACE_NO_XMLFORMAT_DOC.zip (51.2 KB) - added by henrik 6 years ago.

Change History

Changed 6 years ago by henrik

Changed 6 years ago by henrik

comment:1 Changed 6 years ago by dgollub

  • Status changed from new to assigned
  • Component changed from OpenSync to OpenSync: Engine

This issue only appears when capabilities are involved.

Committed first candidates to address this issue r5024 .. issue seems not to be fixed entirely yet.

comment:2 Changed 6 years ago by dgollub

  • Status changed from assigned to closed
  • Resolution set to fixed

Issue should be finally fixed with r5038. That's the only issue which was left i'm aware of. This was due to marshaling, already marshled data.

Note: See TracTickets for help on using tickets.